unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    ButtonViderCorbeille: TButton;
    procedure ButtonViderCorbeilleClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

 function SHEmptyRecycleBin (Wnd:HWnd; LPCTSTR:PChar; DWORD:Word):Integer; stdcall;

implementation
{$R *.DFM}

function SHEmptyRecycleBin; external  'SHELL32.DLL' name 'SHEmptyRecycleBinA';


Procedure ViderCorbeille;
//efface les corbeille de tous les drives 
const
  SHERB_NOCONFIRMATION = $00000001;
  SHERB_NOPROGRESSUI   = $00000002;
  SHERB_NOSOUND        = $00000004;
  {extrait de l'aide site Microsoft :
  {http://msdn.microsoft.com/library/default.asp?
  url=/library/en-us/shellcc/platform/shell/reference/functions/shemptyrecyclebin.asp
  SHERB_NOCONFIRMATION   No dialog box confirming the deletion of the objects
  will be displayed.
  SHERB_NOPROGRESSUI   No dialog box indicating the progress will be displayed.
  SHERB_NOSOUND  No sound will be played when the operation is complete. }
begin
  SHEmptyRecycleBin(0,'', SHERB_NOSOUND {+ SHERB_NOCONFIRMATION etc});
end;


procedure TForm1.ButtonViderCorbeilleClick(Sender: TObject);
begin
  ViderCorbeille;
end;

end.
